package javabot.modules;

import javabot.Module;
import javabot.Secretary;

/**
 * Created by IntelliJ IDEA.<br>
 * User: CreoN<br>
 * Date: 2003-aug-31<br>
 * Time: 09:40:57<br>
 *
 * Copyright (C) 2003 Fredrik Rydn & Tobias Larsson
 * Full copyright statement can be found in JavaBot.java
 *
 */
public class QuakenetAuth extends Module
{
    public void runModule()
    {
        String[] message = getMessage();
        int argumentsStartAt = getArgumentsStartPosition();

        if(message.length == argumentsStartAt + 2)
        {
            if(getSecretary().getUserLevel(getSender(), getHostmask(), "all", true) >= Secretary.GLOBAL_MASTER)
            {
                getSecretary().sendRawIRCMessage("PRIVMSG Q@CServe.quakenet.org :AUTH " + message[argumentsStartAt] + " " + message[argumentsStartAt + 1]);
                String[][] lookFor = {{"0", "Q!TheQBot@CServe.quakenet.org"},
                                      {"1", "NOTICE"},
                                      {"2", getSecretary().getNick()}};
                String[] remember = {getSender()};

                getSecretary().requestResponse(lookFor, this, remember, 10000);
            }
            else
            {
                getSecretary().sendRawIRCMessage("NOTICE " + getSender() + " :Access denied");
            }
        }
        else
        {
            getSecretary().sendRawIRCMessage("NOTICE " + getSender() + " :Wrong number of arguments");
        }
    }

    public String[] getCommands()
    {
        String[] commands = {"Q-auth"};
        return commands;
    }

    public void gotResponse(String[] response, String[] thingsToRemember)
    {
        String message = "Response from Q: " + response[3].substring(1, response[3].length());
        for(int i = 4; i < response.length; i++)
        {
            message += " " + response[i];
        }

        getSecretary().sendRawIRCMessage("NOTICE " + thingsToRemember[0] + " :" + message);
    }

    public void timerExpired(String[] thingsToRemember)
    {
    }

    public String getHelpMessage()
    {
        return "Sends a private message to Q at Quakenet, authing the bot. Usage: /msg <botnick> Q-auth <username> <password>";
    }

    public String getGroupName()
    {
        return "BotHandling";
    }
}
