package javabot.modules.onConnection;

import javabot.Module;

/**
 * Created by IntelliJ IDEA.<br>
 * User: Scalldog<br>
 * Date: 2003-aug-31<br>
 * Time: 09:40:57<br>
 *
 * Copyright (C) 2003 Fredrik Rydn & Tobias Larsson
 * Full copyright statement can be found in JavaBot.java
 *
 */
public class onConnectionQAuth extends Module
{
    public void runModule()
    {
        String[][] lookfor = {{"1","001"}};

        getSecretary().requestResponse(lookfor,this,null, 120000);
    }

    public String[] getCommands()
    {
        String[] commands = {"onConnection.onConnectionQAuth"};
        return commands;
    }

    public void gotResponse(String[] response, String[] thingsToRemember)
    {
        getSecretary().sendRawIRCMessage("PRIVMSG Q@CServe.quakenet.org :AUTH " + getSecretary().getConfig().getProperty("Q-nick") + " " + getSecretary().getConfig().getProperty("Q-pass"));
        getSecretary().sendRawIRCMessage("MODE " + getSecretary().getNick() + " +x");
    }

    public void timerExpired(String[] thingsToRemember)
    {
    }

    public String getHelpMessage()
    {
        return "Auth against Q on Quakenet when the bot connects. Usage: put q-nick \"nick\" and q-pass \"password\" in your configuration file";
    }

    public String getGroupName()
    {
        return null;
    }
}
